Public Attributes | List of all members
ans_c_handles_t Struct Reference
BLE Services » Alert Notification Service Client (ANS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <ans_c.h>`

## Public Attributes
uint16_t | ans_srvc_start_handle
| ANS Service start handle. More...
uint16_t | ans_srvc_end_handle
| ANS Service end handle. More...
uint16_t | ans_sup_new_alert_cat_handle
| ANS Supported New Alert Category characteristic Value handle which has been got from peer. More...
uint16_t | ans_new_alert_handle
| ANS New Alert characteristic Value handle which has been got from peer. More...
uint16_t | ans_new_alert_cccd_handle
| ANS CCCD handle of New Alert characteristic which has been got from peer. More...
uint16_t | ans_sup_unread_alert_cat_handle
| ANS Supported Unread Alert Category characteristic Value handle which has been got from peer. More...
uint16_t | ans_unread_alert_handle
| ANS Unread Alert characteristic Value handle which has been got from peer. More...
uint16_t | ans_unread_alert_cccd_handle
| ANS CCCD handle of Unread Alert characteristic which has been got from peer. More...
uint16_t | ans_ctrl_pt_handle
| ANS Control Point characteristic Value handle which has been got from peer. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 171 of file ans_c.h.

## Member Data Documentation

## ◆ ans_ctrl_pt_handle

uint16_t ans_c_handles_t::ans_ctrl_pt_handle

ANS Control Point characteristic Value handle which has been got from peer.

Definition at line 181 of file ans_c.h.

## ◆ ans_new_alert_cccd_handle

uint16_t ans_c_handles_t::ans_new_alert_cccd_handle

ANS CCCD handle of New Alert characteristic which has been got from peer.

Definition at line 177 of file ans_c.h.

## ◆ ans_new_alert_handle

uint16_t ans_c_handles_t::ans_new_alert_handle

ANS New Alert characteristic Value handle which has been got from peer.

Definition at line 176 of file ans_c.h.

## ◆ ans_srvc_end_handle

uint16_t ans_c_handles_t::ans_srvc_end_handle

ANS Service end handle.

Definition at line 174 of file ans_c.h.

## ◆ ans_srvc_start_handle

uint16_t ans_c_handles_t::ans_srvc_start_handle

ANS Service start handle.

Definition at line 173 of file ans_c.h.

## ◆ ans_sup_new_alert_cat_handle

uint16_t ans_c_handles_t::ans_sup_new_alert_cat_handle

ANS Supported New Alert Category characteristic Value handle which has been got from peer.

Definition at line 175 of file ans_c.h.

## ◆ ans_sup_unread_alert_cat_handle

uint16_t ans_c_handles_t::ans_sup_unread_alert_cat_handle

ANS Supported Unread Alert Category characteristic Value handle which has been got from peer.

Definition at line 178 of file ans_c.h.

## ◆ ans_unread_alert_cccd_handle

uint16_t ans_c_handles_t::ans_unread_alert_cccd_handle

ANS CCCD handle of Unread Alert characteristic which has been got from peer.

Definition at line 180 of file ans_c.h.

## ◆ ans_unread_alert_handle

uint16_t ans_c_handles_t::ans_unread_alert_handle

ANS Unread Alert characteristic Value handle which has been got from peer.

Definition at line 179 of file ans_c.h.

The documentation for this struct was generated from the following file:

- ans_c.h